---
title: ':first-of-type'
slug: 'Web/CSS/:first-of-type'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:first-of-type</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> represents the first element of its type among a group of sibling elements.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any &lt;p&gt; that is the first element
   of its type among its siblings */
p:first-of-type {
  color: red;
}</pre>

<div class="note">
<p><strong>Note</strong>: As originally defined, the selected element had to have a parent. Beginning with Selectors Level 4, this is no longer required.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Styling_the_first_paragraph">Styling the first paragraph</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;h2&gt;Heading&lt;/h2&gt;
&lt;p&gt;Paragraph 1&lt;/p&gt;
&lt;p&gt;Paragraph 2&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p:first-of-type {
  color: red;
  font-style: italic;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Styling_the_first_paragraph')}}</p>

<h3 id="Nested_elements">Nested elements</h3>

<p>This example shows how nested elements can also be targeted. Note that the <a href="/en-US/docs/Web/CSS/Universal_selectors">universal selector</a> (<code>*</code>) is implied when no simple selector is written.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;article&gt;
  &lt;div&gt;This `div` is first!&lt;/div&gt;
  &lt;div&gt;This &lt;span&gt;nested `span` is first&lt;/span&gt;!&lt;/div&gt;
  &lt;div&gt;This &lt;em&gt;nested `em` is first&lt;/em&gt;, but this &lt;em&gt;nested `em` is last&lt;/em&gt;!&lt;/div&gt;
  &lt;div&gt;This &lt;span&gt;nested `span` gets styled&lt;/span&gt;!&lt;/div&gt;
  &lt;b&gt;This `b` qualifies!&lt;/b&gt;
  &lt;div&gt;This is the final `div`.&lt;/div&gt;
&lt;/article&gt;
</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">article :first-of-type {
  background-color: pink;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('Nested_elements', 500)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#first-of-type-pseudo', ':first-of-type')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Matching elements are not required to have a parent.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#first-of-type-pseudo', ':first-of-type')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.first-of-type")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref(":first-child")}}, {{Cssxref(":last-of-type")}}, {{Cssxref(":nth-of-type")}}</li>
</ul>
